Bug 4741 - SPEC - merge attribute sometime on lists and sometimes on element of lists
SPEC - merge attribute sometime on lists and sometimes on element of lists
Status: RESOLVED MOVED
Product: jbatch
Classification: Unclassified
Component: source
1
All All
: P5 normal
: ---
Assigned To: cvignola
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-08 20:40 UTC by mminella
Modified: 2013-03-13 00:28 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mminella 2013-03-08 20:40:00 UTC
Within the spec, most places the merge attribute is specified on the list element (listeners for example).  Yet for some attributes like properties, it is on the element of the list.  I would expect us to be consistent in how list merging occurs and have it always at the list level.
Comment 1 cvignola 2013-03-11 14:41:49 UTC
I think the editor was up too late that night :)   It's supposed to be on <properties> not <property>.
Comment 2 cvignola 2013-03-11 14:42:14 UTC
Fixed in PFD v1.6.
Comment 3 cvignola 2013-03-13 00:28:21 UTC
Not fixed in v1.6.  Inheritance is being moved out of JSR 352 v1.0.